{
    "format_version": "1.20.60",
    "minecraft:entity": {
        "description": {
            "identifier": "vatonage:planter_plant",
            "is_spawnable": false,
            "is_summonable": true,
            "is_experimental": false,
            "properties": {
                "vatonage:plant_type": {
                    "type": "int",
                    "range": [0, 83],
                    "default": 0,
                    "client_sync": true
                },
                "vatonage:growth_stage": {
                    "type": "int",
                    "range": [1, 100],
                    "default": 1,
                    "client_sync": true
                },
                "vatonage:upgrade_level": {
                    "type": "int",
                    "range": [0, 4],
                    "default": 0,
                    "client_sync": true
                }
            }
        },
        "components": {
            "minecraft:type_family": {
                "family": ["planter_plant"]
            },
            "minecraft:scale": {
                "value": 0.01
            },
            "minecraft:physics": {
                "has_collision": false,
                "has_gravity": false
            },
            "minecraft:health": {
                "value": 1,
                "max": 1
            },
            "minecraft:damage_sensor": {
                "triggers": [{
                    "cause": "all",
                    "deals_damage": false,
                    "on_damage": {"event": "vatonage:planter_despawn", "target": "self"}
                }]
            },
            "minecraft:interact": {
                "interactions": [
                    {
                        "on_interact": {
                            "event":"vatonage:planter_interacted"
                        }
                    }
                ]
            },
            "minecraft:timer": {
                "time": 1,
                "looping": true,
                "time_down_event": {
                    "event": "vatonage:planter_tick",
                    "target": "self"
                }
            }
        },
        "events": {
            "vatonage:planter_despawn": {
                "queue_command": {
                    "command": "scriptevent vatonage:planter_despawn"
                }
            },
            "vatonage:planter_tick": {
                "queue_command": {
                    "command": "scriptevent vatonage:planter_growth"
                }
            },
            "vatonage:planter_interact": {},
            "vatonage:set_scale_0": {"add": { "component_groups": ["scale_0"] }, "remove": { "component_groups": ["scale_100"]}},
            "vatonage:set_scale_1": {"add": { "component_groups": ["scale_1"] }, "remove": { "component_groups": ["scale_0"]}},
            "vatonage:set_scale_2": {"add": { "component_groups": ["scale_2"] }, "remove": { "component_groups": ["scale_1"]}},
            "vatonage:set_scale_3": {"add": { "component_groups": ["scale_3"] }, "remove": { "component_groups": ["scale_2"]}},
            "vatonage:set_scale_4": {"add": { "component_groups": ["scale_4"] }, "remove": { "component_groups": ["scale_3"]}},
            "vatonage:set_scale_5": {"add": { "component_groups": ["scale_5"] }, "remove": { "component_groups": ["scale_4"]}},
            "vatonage:set_scale_6": {"add": { "component_groups": ["scale_6"] }, "remove": { "component_groups": ["scale_5"]}},
            "vatonage:set_scale_7": {"add": { "component_groups": ["scale_7"] }, "remove": { "component_groups": ["scale_6"]}},
            "vatonage:set_scale_8": {"add": { "component_groups": ["scale_8"] }, "remove": { "component_groups": ["scale_7"]}},
            "vatonage:set_scale_9": {"add": { "component_groups": ["scale_9"] }, "remove": { "component_groups": ["scale_8"]}},
            "vatonage:set_scale_10": {"add": { "component_groups": ["scale_10"] }, "remove": { "component_groups": ["scale_9"]}},
            "vatonage:set_scale_11": {"add": { "component_groups": ["scale_11"] }, "remove": { "component_groups": ["scale_10"]}},
            "vatonage:set_scale_12": {"add": { "component_groups": ["scale_12"] }, "remove": { "component_groups": ["scale_11"]}},
            "vatonage:set_scale_13": {"add": { "component_groups": ["scale_13"] }, "remove": { "component_groups": ["scale_12"]}},
            "vatonage:set_scale_14": {"add": { "component_groups": ["scale_14"] }, "remove": { "component_groups": ["scale_13"]}},
            "vatonage:set_scale_15": {"add": { "component_groups": ["scale_15"] }, "remove": { "component_groups": ["scale_14"]}},
            "vatonage:set_scale_16": {"add": { "component_groups": ["scale_16"] }, "remove": { "component_groups": ["scale_15"]}},
            "vatonage:set_scale_17": {"add": { "component_groups": ["scale_17"] }, "remove": { "component_groups": ["scale_16"]}},
            "vatonage:set_scale_18": {"add": { "component_groups": ["scale_18"] }, "remove": { "component_groups": ["scale_17"]}},
            "vatonage:set_scale_19": {"add": { "component_groups": ["scale_19"] }, "remove": { "component_groups": ["scale_18"]}},
            "vatonage:set_scale_20": {"add": { "component_groups": ["scale_20"] }, "remove": { "component_groups": ["scale_19"]}},
            "vatonage:set_scale_21": {"add": { "component_groups": ["scale_21"] }, "remove": { "component_groups": ["scale_20"]}},
            "vatonage:set_scale_22": {"add": { "component_groups": ["scale_22"] }, "remove": { "component_groups": ["scale_21"]}},
            "vatonage:set_scale_23": {"add": { "component_groups": ["scale_23"] }, "remove": { "component_groups": ["scale_22"]}},
            "vatonage:set_scale_24": {"add": { "component_groups": ["scale_24"] }, "remove": { "component_groups": ["scale_23"]}},
            "vatonage:set_scale_25": {"add": { "component_groups": ["scale_25"] }, "remove": { "component_groups": ["scale_24"]}},
            "vatonage:set_scale_26": {"add": { "component_groups": ["scale_26"] }, "remove": { "component_groups": ["scale_25"]}},
            "vatonage:set_scale_27": {"add": { "component_groups": ["scale_27"] }, "remove": { "component_groups": ["scale_26"]}},
            "vatonage:set_scale_28": {"add": { "component_groups": ["scale_28"] }, "remove": { "component_groups": ["scale_27"]}},
            "vatonage:set_scale_29": {"add": { "component_groups": ["scale_29"] }, "remove": { "component_groups": ["scale_28"]}},
            "vatonage:set_scale_30": {"add": { "component_groups": ["scale_30"] }, "remove": { "component_groups": ["scale_29"]}},
            "vatonage:set_scale_31": {"add": { "component_groups": ["scale_31"] }, "remove": { "component_groups": ["scale_30"]}},
            "vatonage:set_scale_32": {"add": { "component_groups": ["scale_32"] }, "remove": { "component_groups": ["scale_31"]}},
            "vatonage:set_scale_33": {"add": { "component_groups": ["scale_33"] }, "remove": { "component_groups": ["scale_32"]}},
            "vatonage:set_scale_34": {"add": { "component_groups": ["scale_34"] }, "remove": { "component_groups": ["scale_33"]}},
            "vatonage:set_scale_35": {"add": { "component_groups": ["scale_35"] }, "remove": { "component_groups": ["scale_34"]}},
            "vatonage:set_scale_36": {"add": { "component_groups": ["scale_36"] }, "remove": { "component_groups": ["scale_35"]}},
            "vatonage:set_scale_37": {"add": { "component_groups": ["scale_37"] }, "remove": { "component_groups": ["scale_36"]}},
            "vatonage:set_scale_38": {"add": { "component_groups": ["scale_38"] }, "remove": { "component_groups": ["scale_37"]}},
            "vatonage:set_scale_39": {"add": { "component_groups": ["scale_39"] }, "remove": { "component_groups": ["scale_38"]}},
            "vatonage:set_scale_40": {"add": { "component_groups": ["scale_40"] }, "remove": { "component_groups": ["scale_39"]}},
            "vatonage:set_scale_41": {"add": { "component_groups": ["scale_41"] }, "remove": { "component_groups": ["scale_40"]}},
            "vatonage:set_scale_42": {"add": { "component_groups": ["scale_42"] }, "remove": { "component_groups": ["scale_41"]}},
            "vatonage:set_scale_43": {"add": { "component_groups": ["scale_43"] }, "remove": { "component_groups": ["scale_42"]}},
            "vatonage:set_scale_44": {"add": { "component_groups": ["scale_44"] }, "remove": { "component_groups": ["scale_43"]}},
            "vatonage:set_scale_45": {"add": { "component_groups": ["scale_45"] }, "remove": { "component_groups": ["scale_44"]}},
            "vatonage:set_scale_46": {"add": { "component_groups": ["scale_46"] }, "remove": { "component_groups": ["scale_45"]}},
            "vatonage:set_scale_47": {"add": { "component_groups": ["scale_47"] }, "remove": { "component_groups": ["scale_46"]}},
            "vatonage:set_scale_48": {"add": { "component_groups": ["scale_48"] }, "remove": { "component_groups": ["scale_47"]}},
            "vatonage:set_scale_49": {"add": { "component_groups": ["scale_49"] }, "remove": { "component_groups": ["scale_48"]}},
            "vatonage:set_scale_50": {"add": { "component_groups": ["scale_50"] }, "remove": { "component_groups": ["scale_49"]}},
            "vatonage:set_scale_51": {"add": { "component_groups": ["scale_51"] }, "remove": { "component_groups": ["scale_50"]}},
            "vatonage:set_scale_52": {"add": { "component_groups": ["scale_52"] }, "remove": { "component_groups": ["scale_51"]}},
            "vatonage:set_scale_53": {"add": { "component_groups": ["scale_53"] }, "remove": { "component_groups": ["scale_52"]}},
            "vatonage:set_scale_54": {"add": { "component_groups": ["scale_54"] }, "remove": { "component_groups": ["scale_53"]}},
            "vatonage:set_scale_55": {"add": { "component_groups": ["scale_55"] }, "remove": { "component_groups": ["scale_54"]}},
            "vatonage:set_scale_56": {"add": { "component_groups": ["scale_56"] }, "remove": { "component_groups": ["scale_55"]}},
            "vatonage:set_scale_57": {"add": { "component_groups": ["scale_57"] }, "remove": { "component_groups": ["scale_56"]}},
            "vatonage:set_scale_58": {"add": { "component_groups": ["scale_58"] }, "remove": { "component_groups": ["scale_57"]}},
            "vatonage:set_scale_59": {"add": { "component_groups": ["scale_59"] }, "remove": { "component_groups": ["scale_58"]}},
            "vatonage:set_scale_60": {"add": { "component_groups": ["scale_60"] }, "remove": { "component_groups": ["scale_59"]}},
            "vatonage:set_scale_61": {"add": { "component_groups": ["scale_61"] }, "remove": { "component_groups": ["scale_60"]}},
            "vatonage:set_scale_62": {"add": { "component_groups": ["scale_62"] }, "remove": { "component_groups": ["scale_61"]}},
            "vatonage:set_scale_63": {"add": { "component_groups": ["scale_63"] }, "remove": { "component_groups": ["scale_62"]}},
            "vatonage:set_scale_64": {"add": { "component_groups": ["scale_64"] }, "remove": { "component_groups": ["scale_63"]}},
            "vatonage:set_scale_65": {"add": { "component_groups": ["scale_65"] }, "remove": { "component_groups": ["scale_64"]}},
            "vatonage:set_scale_66": {"add": { "component_groups": ["scale_66"] }, "remove": { "component_groups": ["scale_65"]}},
            "vatonage:set_scale_67": {"add": { "component_groups": ["scale_67"] }, "remove": { "component_groups": ["scale_66"]}},
            "vatonage:set_scale_68": {"add": { "component_groups": ["scale_68"] }, "remove": { "component_groups": ["scale_67"]}},
            "vatonage:set_scale_69": {"add": { "component_groups": ["scale_69"] }, "remove": { "component_groups": ["scale_68"]}},
            "vatonage:set_scale_70": {"add": { "component_groups": ["scale_70"] }, "remove": { "component_groups": ["scale_69"]}},
            "vatonage:set_scale_71": {"add": { "component_groups": ["scale_71"] }, "remove": { "component_groups": ["scale_70"]}},
            "vatonage:set_scale_72": {"add": { "component_groups": ["scale_72"] }, "remove": { "component_groups": ["scale_71"]}},
            "vatonage:set_scale_73": {"add": { "component_groups": ["scale_73"] }, "remove": { "component_groups": ["scale_72"]}},
            "vatonage:set_scale_74": {"add": { "component_groups": ["scale_74"] }, "remove": { "component_groups": ["scale_73"]}},
            "vatonage:set_scale_75": {"add": { "component_groups": ["scale_75"] }, "remove": { "component_groups": ["scale_74"]}},
            "vatonage:set_scale_76": {"add": { "component_groups": ["scale_76"] }, "remove": { "component_groups": ["scale_75"]}},
            "vatonage:set_scale_77": {"add": { "component_groups": ["scale_77"] }, "remove": { "component_groups": ["scale_76"]}},
            "vatonage:set_scale_78": {"add": { "component_groups": ["scale_78"] }, "remove": { "component_groups": ["scale_77"]}},
            "vatonage:set_scale_79": {"add": { "component_groups": ["scale_79"] }, "remove": { "component_groups": ["scale_78"]}},
            "vatonage:set_scale_80": {"add": { "component_groups": ["scale_80"] }, "remove": { "component_groups": ["scale_79"]}},
            "vatonage:set_scale_81": {"add": { "component_groups": ["scale_81"] }, "remove": { "component_groups": ["scale_80"]}},
            "vatonage:set_scale_82": {"add": { "component_groups": ["scale_82"] }, "remove": { "component_groups": ["scale_81"]}},
            "vatonage:set_scale_83": {"add": { "component_groups": ["scale_83"] }, "remove": { "component_groups": ["scale_82"]}},
            "vatonage:set_scale_84": {"add": { "component_groups": ["scale_84"] }, "remove": { "component_groups": ["scale_83"]}},
            "vatonage:set_scale_85": {"add": { "component_groups": ["scale_85"] }, "remove": { "component_groups": ["scale_84"]}},
            "vatonage:set_scale_86": {"add": { "component_groups": ["scale_86"] }, "remove": { "component_groups": ["scale_85"]}},
            "vatonage:set_scale_87": {"add": { "component_groups": ["scale_87"] }, "remove": { "component_groups": ["scale_86"]}},
            "vatonage:set_scale_88": {"add": { "component_groups": ["scale_88"] }, "remove": { "component_groups": ["scale_87"]}},
            "vatonage:set_scale_89": {"add": { "component_groups": ["scale_89"] }, "remove": { "component_groups": ["scale_88"]}},
            "vatonage:set_scale_90": {"add": { "component_groups": ["scale_90"] }, "remove": { "component_groups": ["scale_89"]}},
            "vatonage:set_scale_91": {"add": { "component_groups": ["scale_91"] }, "remove": { "component_groups": ["scale_90"]}},
            "vatonage:set_scale_92": {"add": { "component_groups": ["scale_92"] }, "remove": { "component_groups": ["scale_91"]}},
            "vatonage:set_scale_93": {"add": { "component_groups": ["scale_93"] }, "remove": { "component_groups": ["scale_92"]}},
            "vatonage:set_scale_94": {"add": { "component_groups": ["scale_94"] }, "remove": { "component_groups": ["scale_93"]}},
            "vatonage:set_scale_95": {"add": { "component_groups": ["scale_95"] }, "remove": { "component_groups": ["scale_94"]}},
            "vatonage:set_scale_96": {"add": { "component_groups": ["scale_96"] }, "remove": { "component_groups": ["scale_95"]}},
            "vatonage:set_scale_97": {"add": { "component_groups": ["scale_97"] }, "remove": { "component_groups": ["scale_96"]}},
            "vatonage:set_scale_98": {"add": { "component_groups": ["scale_98"] }, "remove": { "component_groups": ["scale_97"]}},
            "vatonage:set_scale_99": {"add": { "component_groups": ["scale_99"] }, "remove": { "component_groups": ["scale_98"]}},
            "vatonage:set_scale_100": {"add": { "component_groups": ["scale_100"] }, "remove": { "component_groups": ["scale_99"]}}
        },
        "component_groups": {
            "scale_0": { "minecraft:scale": { "value": 0.01 }},
            "scale_1": { "minecraft:scale": { "value": 0.01 }},
            "scale_2": { "minecraft:scale": { "value": 0.02 }},
            "scale_3": { "minecraft:scale": { "value": 0.03 }},
            "scale_4": { "minecraft:scale": { "value": 0.04 }},
            "scale_5": { "minecraft:scale": { "value": 0.05 }},
            "scale_6": { "minecraft:scale": { "value": 0.06 }},
            "scale_7": { "minecraft:scale": { "value": 0.07 }},
            "scale_8": { "minecraft:scale": { "value": 0.08 }},
            "scale_9": { "minecraft:scale": { "value": 0.09 }},
            "scale_10": { "minecraft:scale": { "value": 0.10 }},
            "scale_11": { "minecraft:scale": { "value": 0.11 }},
            "scale_12": { "minecraft:scale": { "value": 0.12 }},
            "scale_13": { "minecraft:scale": { "value": 0.13 }},
            "scale_14": { "minecraft:scale": { "value": 0.14 }},
            "scale_15": { "minecraft:scale": { "value": 0.15 }},
            "scale_16": { "minecraft:scale": { "value": 0.16 }},
            "scale_17": { "minecraft:scale": { "value": 0.17 }},
            "scale_18": { "minecraft:scale": { "value": 0.18 }},
            "scale_19": { "minecraft:scale": { "value": 0.19 }},
            "scale_20": { "minecraft:scale": { "value": 0.20 }},
            "scale_21": { "minecraft:scale": { "value": 0.21 }},
            "scale_22": { "minecraft:scale": { "value": 0.22 }},
            "scale_23": { "minecraft:scale": { "value": 0.23 }},
            "scale_24": { "minecraft:scale": { "value": 0.24 }},
            "scale_25": { "minecraft:scale": { "value": 0.25 }},
            "scale_26": { "minecraft:scale": { "value": 0.26 }},
            "scale_27": { "minecraft:scale": { "value": 0.27 }},
            "scale_28": { "minecraft:scale": { "value": 0.28 }},
            "scale_29": { "minecraft:scale": { "value": 0.29 }},
            "scale_30": { "minecraft:scale": { "value": 0.30 }},
            "scale_31": { "minecraft:scale": { "value": 0.31 }},
            "scale_32": { "minecraft:scale": { "value": 0.32 }},
            "scale_33": { "minecraft:scale": { "value": 0.33 }},
            "scale_34": { "minecraft:scale": { "value": 0.34 }},
            "scale_35": { "minecraft:scale": { "value": 0.35 }},
            "scale_36": { "minecraft:scale": { "value": 0.36 }},
            "scale_37": { "minecraft:scale": { "value": 0.37 }},
            "scale_38": { "minecraft:scale": { "value": 0.38 }},
            "scale_39": { "minecraft:scale": { "value": 0.39 }},
            "scale_40": { "minecraft:scale": { "value": 0.40 }},
            "scale_41": { "minecraft:scale": { "value": 0.41 }},
            "scale_42": { "minecraft:scale": { "value": 0.42 }},
            "scale_43": { "minecraft:scale": { "value": 0.43 }},
            "scale_44": { "minecraft:scale": { "value": 0.44 }},
            "scale_45": { "minecraft:scale": { "value": 0.45 }},
            "scale_46": { "minecraft:scale": { "value": 0.46 }},
            "scale_47": { "minecraft:scale": { "value": 0.47 }},
            "scale_48": { "minecraft:scale": { "value": 0.48 }},
            "scale_49": { "minecraft:scale": { "value": 0.49 }},
            "scale_50": { "minecraft:scale": { "value": 0.50 }},
            "scale_51": { "minecraft:scale": { "value": 0.51 }},
            "scale_52": { "minecraft:scale": { "value": 0.52 }},
            "scale_53": { "minecraft:scale": { "value": 0.53 }},
            "scale_54": { "minecraft:scale": { "value": 0.54 }},
            "scale_55": { "minecraft:scale": { "value": 0.55 }},
            "scale_56": { "minecraft:scale": { "value": 0.56 }},
            "scale_57": { "minecraft:scale": { "value": 0.57 }},
            "scale_58": { "minecraft:scale": { "value": 0.58 }},
            "scale_59": { "minecraft:scale": { "value": 0.59 }},
            "scale_60": { "minecraft:scale": { "value": 0.60 }},
            "scale_61": { "minecraft:scale": { "value": 0.61 }},
            "scale_62": { "minecraft:scale": { "value": 0.62 }},
            "scale_63": { "minecraft:scale": { "value": 0.63 }},
            "scale_64": { "minecraft:scale": { "value": 0.64 }},
            "scale_65": { "minecraft:scale": { "value": 0.65 }},
            "scale_66": { "minecraft:scale": { "value": 0.66 }},
            "scale_67": { "minecraft:scale": { "value": 0.67 }},
            "scale_68": { "minecraft:scale": { "value": 0.68 }},
            "scale_69": { "minecraft:scale": { "value": 0.69 }},
            "scale_70": { "minecraft:scale": { "value": 0.70 }},
            "scale_71": { "minecraft:scale": { "value": 0.71 }},
            "scale_72": { "minecraft:scale": { "value": 0.72 }},
            "scale_73": { "minecraft:scale": { "value": 0.73 }},
            "scale_74": { "minecraft:scale": { "value": 0.74 }},
            "scale_75": { "minecraft:scale": { "value": 0.75 }},
            "scale_76": { "minecraft:scale": { "value": 0.76 }},
            "scale_77": { "minecraft:scale": { "value": 0.77 }},
            "scale_78": { "minecraft:scale": { "value": 0.78 }},
            "scale_79": { "minecraft:scale": { "value": 0.79 }},
            "scale_80": { "minecraft:scale": { "value": 0.80 }},
            "scale_81": { "minecraft:scale": { "value": 0.81 }},
            "scale_82": { "minecraft:scale": { "value": 0.82 }},
            "scale_83": { "minecraft:scale": { "value": 0.83 }},
            "scale_84": { "minecraft:scale": { "value": 0.84 }},
            "scale_85": { "minecraft:scale": { "value": 0.85 }},
            "scale_86": { "minecraft:scale": { "value": 0.86 }},
            "scale_87": { "minecraft:scale": { "value": 0.87 }},
            "scale_88": { "minecraft:scale": { "value": 0.88 }},
            "scale_89": { "minecraft:scale": { "value": 0.89 }},
            "scale_90": { "minecraft:scale": { "value": 0.90 }},
            "scale_91": { "minecraft:scale": { "value": 0.91 }},
            "scale_92": { "minecraft:scale": { "value": 0.92 }},
            "scale_93": { "minecraft:scale": { "value": 0.93 }},
            "scale_94": { "minecraft:scale": { "value": 0.94 }},
            "scale_95": { "minecraft:scale": { "value": 0.95 }},
            "scale_96": { "minecraft:scale": { "value": 0.96 }},
            "scale_97": { "minecraft:scale": { "value": 0.97 }},
            "scale_98": { "minecraft:scale": { "value": 0.98 }},
            "scale_99": { "minecraft:scale": { "value": 0.99 }},
            "scale_100": { "minecraft:scale": { "value": 1.00 }}
        }
    }
}